Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`endpoints`.`_ReadFile``

class documentation

`class _ReadFile: (source)`

Constructor: `_ReadFile(contents)`

View In Hierarchy

A weakly file-like object which can be used with `KnownHostsFile` to respond in the negative to all prompts for decisions.

Method | `__init__` | No summary
Method | `close` | No-op.
Method | `readline` | Always give back the byte string that this `_ReadFile` was initialized with.
Method | `write` | No-op.
Instance Variable | `_contents` | Undocumented

def __init__(self, contents): (source)

Parameters
contents | `bytes` which will be returned from every `readline` call.

def close(self): (source)

No-op.

def readline(self, count=-1): (source)

Always give back the byte string that this `_ReadFile` was initialized with.

Parameters
count | ignored
Returns
`bytes` | A fixed byte-string.

def write(self, data): (source)

No-op.

Parameters
data | ignored

_contents = (source)

Undocumented